com.hazelcast.config

## Class CachePartitionLostListenerConfig

- java.lang.Object
- - com.hazelcast.config.ListenerConfig
  - - com.hazelcast.config.CachePartitionLostListenerConfig

- All Implemented Interfaces:
    DataSerializable, IdentifiedDataSerializable, Serializable
  Direct Known Subclasses:
    CachePartitionLostListenerConfigReadOnly

      public class CachePartitionLostListenerConfig
      extends ListenerConfig
      implements Serializable

  Configuration for CachePartitionLostListener
  See Also:
    `CachePartitionLostListener`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.hazelcast.config.ListenerConfig

      `className, implementation`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CachePartitionLostListenerConfig()`
    `CachePartitionLostListenerConfig(com.hazelcast.cache.impl.event.CachePartitionLostListener implementation)`
    `CachePartitionLostListenerConfig(CachePartitionLostListenerConfig config)`
    `CachePartitionLostListenerConfig(String className)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `CachePartitionLostListenerConfigReadOnly` | `getAsReadOnly()` Deprecated. this method will be removed in 4.0; it is meant for internal usage only
    `int` | `getId()` Returns type identifier for this class.
    `com.hazelcast.cache.impl.event.CachePartitionLostListener` | `getImplementation()` Returns the EventListener implementation.
    `int` | `hashCode()`
    `CachePartitionLostListenerConfig` | `setImplementation(com.hazelcast.cache.impl.event.CachePartitionLostListener implementation)`

    - ### Methods inherited from class com.hazelcast.config.ListenerConfig

      `getClassName, getFactoryId, isIncludeValue, isLocal, readData, setClassName, setImplementation, toString, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CachePartitionLostListenerConfig

          public CachePartitionLostListenerConfig()

    - #### CachePartitionLostListenerConfig

          public CachePartitionLostListenerConfig(String className)

    - #### CachePartitionLostListenerConfig

          public CachePartitionLostListenerConfig(com.hazelcast.cache.impl.event.CachePartitionLostListener implementation)

    - #### CachePartitionLostListenerConfig

          public CachePartitionLostListenerConfig(CachePartitionLostListenerConfig config)

  - ### Method Detail

    - #### getAsReadOnly

          public CachePartitionLostListenerConfigReadOnly getAsReadOnly()

      Deprecated. this method will be removed in 4.0; it is meant for internal usage only
      Gets immutable version of this configuration.
      Overrides:
        `getAsReadOnly` in class `ListenerConfig`
      Returns:
        immutable version of this configuration

    - #### getImplementation

          public com.hazelcast.cache.impl.event.CachePartitionLostListener getImplementation()

      Description copied from class: `ListenerConfig`
      Returns the EventListener implementation. If none has been specified, null is returned.
      Overrides:
        `getImplementation` in class `ListenerConfig`
      Returns:
        the EventListener implementation
      See Also:
        `ListenerConfig.setImplementation(java.util.EventListener)`

    - #### setImplementation

          public CachePartitionLostListenerConfig setImplementation(com.hazelcast.cache.impl.event.CachePartitionLostListener implementation)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `ListenerConfig`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ListenerConfig`

    - #### getId

          public int getId()

      Description copied from interface: `IdentifiedDataSerializable`
      Returns type identifier for this class. It should be unique per DataSerializableFactory.
      Specified by:
        `getId` in interface `IdentifiedDataSerializable`
      Overrides:
        `getId` in class `ListenerConfig`
      Returns:
        type ID

Copyright © 2019. All rights reserved.